Index: sources/src/sc_sensitive.cc
===================================================================
--- sources/src/sc_sensitive.cc	(revision 27)
+++ sources/src/sc_sensitive.cc	(revision 52)
@@ -41,4 +41,5 @@
 #include "sc_module.h"
 #include "internal.h"
+
 #ifdef HAVE_CONFIG_H
 #include "config.h"
@@ -48,21 +49,24 @@
 
 namespace sc_core {
-  void assert_before_init ()
-  {
-    if (sc_core::already_initialized == true)
-      exit (14);
-  }
-  static
-	void add_sensitivity (const sc_event &s)
-  {
-		if (method == NULL) {
-			cerr << "declare a process before declaring " << s << " event\n";
-			exit (1);
-		}
-    method->sensitivity_list.push_back(s);
-  }
+
+
+void assert_before_init() {
+    if (sc_core::already_initialized) {
+        exit(14);
+    }
 }
 
-//
+
+static void add_sensitivity(const sc_event & s) {
+    if (method == NULL) {
+        cerr << "declare a process before declaring " << s << " event\n";
+        exit(1);
+    }
+    method->sensitivity_list.push_back(s);
+}
+
+}
+
+
 using namespace sc_core;
 
@@ -73,46 +77,46 @@
 // ----------------------------------------------------------------------------
 
-sc_sensitive& sc_sensitive::operator << (const sc_port_base& port)
-{
-  sc_event s (port,sc_event::VAL);
-  sc_core::add_sensitivity (s);
-  return *this;
+sc_sensitive & sc_sensitive::operator << (const sc_port_base & port) {
+    sc_event s(port, sc_event::VAL);
+    sc_core::add_sensitivity(s);
+    return *this;
 }
 
-sc_sensitive& sc_sensitive::operator () (const sc_port_base& port)
-{
-  return *this << port;
+
+sc_sensitive & sc_sensitive::operator () (const sc_port_base & port) {
+    return *this << port;
 }
 
-sc_sensitive& sc_sensitive::operator << (const sc_event &e)
-{
-  sc_core::add_sensitivity (e);
-  return *this;
+
+sc_sensitive & sc_sensitive::operator << (const sc_event & e) {
+    sc_core::add_sensitivity(e);
+    return *this;
 }
 
-sc_sensitive& sc_sensitive::operator () (const sc_event& e)
-{
-  return *this << e;
+
+sc_sensitive & sc_sensitive::operator () (const sc_event & e) {
+    return *this << e;
 }
 
-sc_sensitive& sc_sensitive::operator << (sc_event_finder& e)
-{
-  return *this << e.port ();
+
+sc_sensitive & sc_sensitive::operator << (sc_event_finder & e) {
+    return *this << e.port();
 }
 
-sc_sensitive& sc_sensitive::operator () (sc_event_finder& e)
-{
-  return *this << e;
+
+sc_sensitive & sc_sensitive::operator () (sc_event_finder & e) {
+    return *this << e;
 }
 
-sc_sensitive& sc_sensitive::operator << (const sc_interface &e)
-{
-  return *this << e.default_event ();
+
+sc_sensitive & sc_sensitive::operator << (const sc_interface & e) {
+    return *this << e.default_event();
 }
 
-sc_sensitive& sc_sensitive::operator () (const sc_interface &e)
-{
-  return *this << e;
+
+sc_sensitive & sc_sensitive::operator () (const sc_interface & e) {
+    return *this << e;
 }
+
 
 
@@ -124,29 +128,17 @@
 // ----------------------------------------------------------------------------
 
-sc_sensitive_pos& sc_sensitive_pos::operator << (const sc_port_base& port)
-{
-  sc_event s (port,sc_event::POS);
-  sc_core::add_sensitivity (s);
-  return *this;
+
+sc_sensitive_pos & sc_sensitive_pos::operator << (const sc_port_base & port) {
+    sc_event s(port, sc_event::POS);
+    sc_core::add_sensitivity(s);
+    return *this;
 }
 
-sc_sensitive_pos& sc_sensitive_pos::operator () (const sc_port_base& port)
-{
-  return *this << port;
+
+sc_sensitive_pos& sc_sensitive_pos::operator () (const sc_port_base & port) {
+    return *this << port;
 }
 
-/*
-sc_sensitive_pos& sc_sensitive_pos::operator << (const sc_interface &e)
-{
-	sc_event s (e, sc_event::POS);
-  sc_core::add_sensitivity (s);
-  return *this;
-};
 
-sc_sensitive_pos& sc_sensitive_pos::operator () (const sc_interface &e)
-{
-  return *this << e;
-};
-*/
 
 // ----------------------------------------------------------------------------
@@ -156,16 +148,26 @@
 // ----------------------------------------------------------------------------
 
-sc_sensitive_neg& sc_sensitive_neg::operator << (const sc_port_base& port)
-{
-  sc_event s (port,sc_event::NEG);
-  sc_core::add_sensitivity (s);
-  return *this;
+sc_sensitive_neg & sc_sensitive_neg::operator << (const sc_port_base & port) {
+    sc_event s(port, sc_event::NEG);
+    sc_core::add_sensitivity(s);
+    return *this;
 }
 
-sc_sensitive_neg& sc_sensitive_neg::operator () (const sc_port_base& port)
-{
-  return *this << port;
+
+sc_sensitive_neg & sc_sensitive_neg::operator () (const sc_port_base & port) {
+    return *this << port;
 }
 
 
 
+/*
+# Local Variables:
+# tab-width: 4;
+# c-basic-offset: 4;
+# c-file-offsets:((innamespace . 0)(inline-open . 0));
+# indent-tabs-mode: nil;
+# End:
+#
+# vim: filetype=cpp:expandtab:shiftwidth=4:tabstop=4:softtabstop=4
+*/
+
